> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costgraph.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get your custom pricing entries

> Get your custom pricing entries



## OpenAPI

````yaml https://raw.githubusercontent.com/baselinehq/mintlify-docs/main/api-reference/openapi.json get /marketplace/providers/compute
openapi: 3.0.1
info:
  title: CostGraph Pricing API
  description: Provides API level access to the Costgraph Services.
  termsOfService: https://costgraph.baselinehq.cloud/terms-of-use
  contact:
    name: Customer Support
    url: https://costgraph.baselinehq.cloud/support
    email: contact@baselinehq.cloud
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://pricing.baselinehq.cloud/
security: []
paths:
  /marketplace/providers/compute:
    get:
      summary: Get your custom pricing entries
      description: Get your custom pricing entries
      responses:
        '200':
          description: Pricing response for custom pricing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.MarketplaceProvidersResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    types.MarketplaceProvidersResponse:
      type: object
      properties:
        providers:
          type: array
          items:
            $ref: '#/components/schemas/schema.ComputePricingsRow'
    handler.ErrorResponse:
      type: object
      properties:
        error:
          type: string
    schema.ComputePricingsRow:
      type: object
      properties:
        architecture:
          type: string
        availability_zone:
          type: string
        cost_per_hour:
          type: number
        cpu_cores:
          type: number
        cpu_cores_cost_per_hour:
          type: number
        created_at:
          type: string
        id:
          type: string
        instance_type:
          type: string
        operating_system:
          type: string
        period_billing_hours:
          type: number
        provider:
          type: string
        ram_gb:
          type: number
        ram_gb_cost_per_hour:
          type: number
        raw_pricing_data:
          type: object
          properties: {}
        region:
          type: string
        service:
          type: string
        tags:
          type: object
          properties: {}
        updated_at:
          type: string
        usage_type:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API key with "bl_" prefix (e.g. "bl_<api_key>")
      name: X-API-Key
      in: header
    BearerAuth:
      type: apiKey
      description: Bearer token for authentication (e.g. "Bearer <token>")
      name: Authorization
      in: header

````